X-Git-Url: https://zdv2.bktei.com/gitweb/BK-2020-03.git/blobdiff_plain/00e89a7caee7337af8480c38452c95e2afd9e087..3621642d7b74e08f23d4d1958d5c0cbe362f8cad:/unitproc/bktemp-setTimeZoneEV

diff --git a/unitproc/bktemp-setTimeZoneEV b/unitproc/bktemp-setTimeZoneEV
index 5c780ce..0855c1e 100644
--- a/unitproc/bktemp-setTimeZoneEV
+++ b/unitproc/bktemp-setTimeZoneEV
@@ -8,16 +8,18 @@ try() { "$@" || die "cannot $*"; }
 setTimeZoneEV(){
     # Desc: Set time zone environment variable TZ
     # Usage: setTimeZoneEV arg1
+    # Version 0.1.2
     # Input: arg1: 'date'-compatible timezone string (ex: "America/New_York")
     #        TZDIR env var (optional; default: "/usr/share/zoneinfo")
     # Output: exports TZ
     #         exit code 0 on success
     #         exit code 1 on incorrect number of arguments
     #         exit code 2 if unable to validate arg1
-    # Depends: yell, printenv, bash 5
+    # Depends: yell(), printenv 8.30, bash 5.0.3
     # Tested on: Debian 10
-    ARG1="$1"
-    local tzDir returnState
+    local tzDir returnState argTimeZone
+
+    argTimeZone="$1"
     if ! [[ $# -eq 1 ]]; then
 	yell "ERROR:Invalid argument count.";
 	return 1;
@@ -31,12 +33,12 @@ setTimeZoneEV(){
     fi
     
     # Validate TZ string
-    if ! [[ -f "$tzDir"/"$ARG1" ]]; then
+    if ! [[ -f "$tzDir"/"$argTimeZone" ]]; then
 	yell "ERROR:Invalid time zone argument.";
 	return 2;
     else
     # Export ARG1 as TZ environment variable
-	TZ="$ARG1" && export TZ && returnState="true";
+	TZ="$argTimeZone" && export TZ && returnState="true";
     fi
 
     # Determine function return code
@@ -67,6 +69,8 @@ date --iso-8601=seconds
 cmd4="setTimeZoneEV Pacific/Lemuria"
 echo "Running:$cmd4"; $cmd4; echo "Exit code:$?"
 date --iso-8601=seconds; echo "==============="; sleep 2
+
+try setTimeZoneEV Atlantic/Atlantis
 #==END sample code==
 
 # Author: Steven Baltakatei Sandoval